<!--
SPDX-FileCopyrightText: 2024 Georg-August-Universität Göttingen

SPDX-License-Identifier: CC0-1.0
-->

<!DOCTYPE html>
<html lang="en" class="html">
<head>
  <title>FCS endpoint alive</title>
  <meta charset="utf-8">
  <link rel="stylesheet" href="https://res.de.dariah.eu/textgrid/css/custom.css">
  <style type="text/css">
    a.dnd {
      float: right;
    }
    a.dnd > img {
      height: 40px;
    }
    .tgrep ol.iiif-items {
      list-style: decimal;
    }
    .tgrep .iiif-items > li::before {
      content: '';
      display: block;
      background: -webkit-linear-gradient(left,transparent,rgba(0,0,0,0.18),transparent);
      background: linear-gradient(to right,transparent,rgba(0,0,0,0.18),transparent);
      height: 1px;
      margin: 25px 52px 26px;
    }
    .iiif-content-block {
        margin-bottom: 5em;
     }
     pre {
        color: rgb(56, 207, 56);
        background-color: black;
        padding-left: 20px;
        border-radius: 0.5em;
     }
  </style>
</head>

<body class="html_body">
<div class="tg site">

  <header class="tg header">
	<div class="tg header_logo" role="banner">
		<a href="https://textgrid.de/" title="TextGrid">
			<img src="https://res.de.dariah.eu/textgrid/images/textgrid-logo.svg" alt="TextGrid Logo">
		</a>
	</div>
  </header>

  <main class="tg main -default" id="content">
  <div class="tgrep wrap">
    <div class="tgrep results">

      <div class="iiif-content-block">
        <img alt="Owl" style="float: right;" src="https://gitlab.gwdg.de/uploads/-/system/project/avatar/9854/buch.1dv70.0.png?width=100" />
        <h1>TextGrid FCS endpoint {{version}}</h1>
        <p>Check <a href="https://gitlab.gwdg.de/textplus/collections/tg-fcs-endpoint">
           the projects git repository</a> for more information.
        </p>
        <p>Configured hosts for this service are<p>
        <ul>
            <li><strong>Service Host:</strong> {{tg_host}}</li>
            <li><strong>Portal URL:</strong> {{tgrep_host}}</li>
        </ul>
      </div>

      <hr>

      <div class="iiif-content-block">
        <h1>Projects</h1>
        <p>
          <a href="{{tgrep_host}}/projects">Projects from the TextGrid Repository</a> can be added to the
          <a href="https://text-plus.org">Text+ federated search</a>.
          To do so add their FCS SRU endpoint to the federation service.<br>
          You should check if this makes sense - if the project contains relevant fulltext - first.
        </p>
      	<ol class="iiif-items">
      	{% for project in projects %}
          <li>
            <p><strong>{{project['name']}} ({{project['count']}} objects)</strong>
            <br>
            <a href="{{tgrep_host}}/project/{{project['id']}}">Portal</a> |
            <a href="{{service_host}}/{{project['id']}}/fcs?query=erde&maximumRecords=10">SRU Testquery</a> |
            <a href="{{service_host}}/{{project['id']}}/fcs?operation=explain&x-fcs-endpoint-description=true">SRU Explain</a>
            <br><br>
            To add this project to Text+ FCS provide the following config:
            </p>
            <pre>

- url: {{service_host}}/{{project['id']}}/fcs
  name: TextGrid Repository
            </pre>
          </li>
      	{% endfor %}
      	</ol>
      </div>

    </div>
  </div>
  </main>

  <footer class="tg footer" role="contentinfo">
	  <div class="tg footer_left">
		  <ul>
			  <li>
				  <a class="tg footer_contact" href="https://textgrid.de/en/kontakt/">Contact</a>
			  </li>
			  <li><a href="https://de.dariah.eu/impressum">Imprint</a></li>
			  <li><a href="https://de.dariah.eu/privacy-policy">Privacy Policy</a></li>
			  <li><a href="https://creativecommons.org/licenses/by/4.0/deed.de">CC BY 4.0</a></li>
		  </ul>
		  <ul>
			  <li><span>&copy; TextGrid 2024</span></li>
		  </ul>
	  </div>
	  <div class="tg footer_right">
		  <div class="tg footer_logos">
			  <ul>
				  <li>
					  <a href="https://de.dariah.eu/" target="_blank">
						  <img class="tg footer_logo" src="https://res.de.dariah.eu/textgrid/images/dariah-de-logo.svg" alt="DARIAH-DE" width="147" height="65">
					  </a>
				  </li>
				  <li>
					  <a href="https://www.tei-c.org/" target="_blank">
						  <img class="tg footer_logo" src="https://res.de.dariah.eu/textgrid/images/tei-logo.svg" alt="TEI - Text Encoding Initiative" width="59" height="65">
					  </a>
				  </li>
          <li>
					  <a href="https://text-plus.org/" target="_blank">
						  <img class="tg footer_logo" src="https://text-plus.org/text-plus-logo.svg" alt="Text+" width="59" height="65">
					  </a>
				  </li>
			  </ul>
		  </div>
	  </div>
  </footer>

</div>
</body>
</html>
